diff -ur -x '*.log' -x '*.diff' -x '*.zip*' -x '*.tar.gz*' -x '*.tar.xz*' -x RELEASE -x PACKAGES -x '*REBUILD*' -x .release /home/openttd/public_html/ogfx-rv/nightlies/r162/log/ogfx-rv.nfo /home/openttd/public_html/ogfx-rv/nightlies/REBUILD/r162/log/ogfx-rv.nfo
--- /home/openttd/public_html/ogfx-rv/nightlies/r162/log/ogfx-rv.nfo	
+++ /home/openttd/public_html/ogfx-rv/nightlies/REBUILD/r162/log/ogfx-rv.nfo	
@@ -3828,408 +3842,408 @@
 \wx00FD \dx0000015E \dx0000015E 	// bulk_refit_cost_switch;
 \wx00F6 // bulk_truck_3_sprites_switch;
 
-2088 * 9 03 01 01 FF \wx005A \b0 
+2091 * 9 03 01 01 FF \wx005A \b0 
 \wx00F6 	// @action3_8;
 
 // Name: flatbed_truck_batteries - feature 01
-2089 * 13 02 01 F6 \b2 \b2 
+2092 * 13 02 01 F6 \b2 \b2 
 \w109 \w110 
 \w109 \w110 
 
 // Name: flatbed_truck_bubbles - feature 01
-2090 * 13 02 01 FD \b2 \b2 
+2093 * 13 02 01 FD \b2 \b2 
 \w111 \w112 
 \w111 \w112 
 
 // Name: flatbed_truck_fizzy_drinks - feature 01
-2091 * 13 02 01 E6 \b2 \b2 
+2094 * 13 02 01 E6 \b2 \b2 
 \w113 \w114 
 \w113 \w114 
 
 // Name: flatbed_truck_plastic - feature 01
-2092 * 13 02 01 E7 \b2 \b2 
+2095 * 13 02 01 E7 \b2 \b2 
 \w115 \w116 
 \w115 \w116 
 
 // param[64] = param[17]
-2093 * 9 0D 40 \D= 11 FE \dx0000FFFF 
+2096 * 9 0D 40 \D= 11 FE \dx0000FFFF 
 
-2094 * 7 06 
+2097 * 7 06 
 40 04 FF \wx000A 
 FF 
 
 // Name: @return_action_0
-2095 * 21 02 01 E9 89 
+2098 * 21 02 01 E9 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[66] = param[17]
-2096 * 9 0D 42 \D= 11 FE \dx0000FFFF 
+2099 * 9 0D 42 \D= 11 FE \dx0000FFFF 
 
 // param[65] = (param[66] + 64)
-2097 * 9 0D 41 \D+ 42 FF \dx00000040 
+2100 * 9 0D 41 \D+ 42 FF \dx00000040 
 
-2098 * 7 06 
+2101 * 7 06 
 41 04 FF \wx000A 
 FF 
 
 // Name: @return_action_1
-2099 * 21 02 01 EA 89 
+2102 * 21 02 01 EA 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[67] = param[17]
-2100 * 9 0D 43 \D= 11 FE \dx0000FFFF 
+2103 * 9 0D 43 \D= 11 FE \dx0000FFFF 
 
 // param[66] = (param[67] + 96)
-2101 * 9 0D 42 \D+ 43 FF \dx00000060 
+2104 * 9 0D 42 \D+ 43 FF \dx00000060 
 
-2102 * 7 06 
+2105 * 7 06 
 42 04 FF \wx000A 
 FF 
 
 // Name: @return_action_2
-2103 * 21 02 01 E8 89 
+2106 * 21 02 01 E8 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[68] = param[17]
-2104 * 9 0D 44 \D= 11 FE \dx0000FFFF 
+2107 * 9 0D 44 \D= 11 FE \dx0000FFFF 
 
 // param[67] = (param[68] + 112)
-2105 * 9 0D 43 \D+ 44 FF \dx00000070 
+2108 * 9 0D 43 \D+ 44 FF \dx00000070 
 
-2106 * 7 06 
+2109 * 7 06 
 43 04 FF \wx000A 
 FF 
 
 // Name: @return_action_3
-2107 * 21 02 01 EB 89 
+2110 * 21 02 01 EB 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[69] = param[17]
-2108 * 9 0D 45 \D= 11 FE \dx0000FFFF 
+2111 * 9 0D 45 \D= 11 FE \dx0000FFFF 
 
 // param[68] = (param[69] + 128)
-2109 * 9 0D 44 \D+ 45 FF \dx00000080 
+2112 * 9 0D 44 \D+ 45 FF \dx00000080 
 
-2110 * 7 06 
+2113 * 7 06 
 44 04 FF \wx000A 
 FF 
 
 // Name: @return_action_4
-2111 * 21 02 01 EC 89 
+2114 * 21 02 01 EC 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // Name: flatbed_fmsp_random_colour_switch
-2112 * 39 02 01 EC 80 8C \b0 10 
+2115 * 39 02 01 EC 80 8C \b0 10 
 \wx00E9 \wx00E9 // (1/10) -> (2/16): return (var[0x43, 24, 15] + base_sprite_2cc)
 \wx00EA \wx00EA // (1/10) -> (2/16): return (var[0x43, 24, 15] + (base_sprite_2cc + 64))
 \wx00E8 // (1/10) -> (1/16): return (var[0x43, 24, 15] + (base_sprite_2cc + 96))
 \wx00EB // (1/10) -> (1/16): return (var[0x43, 24, 15] + (base_sprite_2cc + 112))
 \wx00EC // (1/10) -> (1/16): return (var[0x43, 24, 15] + (base_sprite_2cc + 128))
-\wx0000 \wx0000 \wx0000 \wx0000 \wx0000 \wx0000 \wx0000 \wx0000 \wx0000 // (5/10) -> (9/16): CB_FAILED;
+\wx00FF \wx00FF \wx00FF \wx00FF \wx00FF \wx00FF \wx00FF \wx00FF \wx00FF // (5/10) -> (9/16): @CB_FAILED01;
 
 // param[65] = param[17]
-2113 * 9 0D 41 \D= 11 FE \dx0000FFFF 
+2116 * 9 0D 41 \D= 11 FE \dx0000FFFF 
 
 // param[64] = (param[65] + 48)
-2114 * 9 0D 40 \D+ 41 FF \dx00000030 
+2117 * 9 0D 40 \D+ 41 FF \dx00000030 
 
-2115 * 7 06 
+2118 * 7 06 
 40 04 FF \wx000A 
 FF 
 
 // Name: @return_action_5
-2116 * 21 02 01 EB 89 
+2119 * 21 02 01 EB 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[66] = param[17]
-2117 * 9 0D 42 \D= 11 FE \dx0000FFFF 
+2120 * 9 0D 42 \D= 11 FE \dx0000FFFF 
 
 // param[65] = (param[66] + 192)
-2118 * 9 0D 41 \D+ 42 FF \dx000000C0 
+2121 * 9 0D 41 \D+ 42 FF \dx000000C0 
 
-2119 * 7 06 
+2122 * 7 06 
 41 04 FF \wx000A 
 FF 
 
 // Name: @return_action_6
-2120 * 21 02 01 E8 89 
+2123 * 21 02 01 E8 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // Name: flatbed_ensp_random_colour_switch
-2121 * 15 02 01 E8 80 8C \b0 04 
+2124 * 15 02 01 E8 80 8C \b0 04 
 \wx00EB // (1/4) -> (1/4): return (var[0x43, 24, 15] + (base_sprite_2cc + 48))
 \wx00E8 // (1/4) -> (1/4): return (var[0x43, 24, 15] + (base_sprite_2cc + 192))
-\wx0000 \wx0000 // (2/4) -> (2/4): CB_FAILED;
+\wx00FF \wx00FF // (2/4) -> (2/4): @CB_FAILED01;
 
 // param[64] = param[17]
-2122 * 9 0D 40 \D= 11 FE \dx0000FFFF 
+2125 * 9 0D 40 \D= 11 FE \dx0000FFFF 
 
-2123 * 7 06 
+2126 * 7 06 
 40 04 FF \wx000A 
 FF 
 
 // Name: @return_action_7
-2124 * 21 02 01 EB 89 
+2127 * 21 02 01 EB 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[66] = param[17]
-2125 * 9 0D 42 \D= 11 FE \dx0000FFFF 
+2128 * 9 0D 42 \D= 11 FE \dx0000FFFF 
 
 // param[65] = (param[66] + 16)
-2126 * 9 0D 41 \D+ 42 FF \dx00000010 
+2129 * 9 0D 41 \D+ 42 FF \dx00000010 
 
-2127 * 7 06 
+2130 * 7 06 
 41 04 FF \wx000A 
 FF 
 
 // Name: @return_action_8
-2128 * 21 02 01 EA 89 
+2131 * 21 02 01 EA 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[67] = param[17]
-2129 * 9 0D 43 \D= 11 FE \dx0000FFFF 
+2132 * 9 0D 43 \D= 11 FE \dx0000FFFF 
 
 // param[66] = (param[67] + 32)
-2130 * 9 0D 42 \D+ 43 FF \dx00000020 
+2133 * 9 0D 42 \D+ 43 FF \dx00000020 
 
-2131 * 7 06 
+2134 * 7 06 
 42 04 FF \wx000A 
 FF 
 
 // Name: @return_action_9
-2132 * 21 02 01 E9 89 
+2135 * 21 02 01 E9 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[68] = param[17]
-2133 * 9 0D 44 \D= 11 FE \dx0000FFFF 
+2136 * 9 0D 44 \D= 11 FE \dx0000FFFF 
 
 // param[67] = (param[68] + 48)
-2134 * 9 0D 43 \D+ 44 FF \dx00000030 
+2137 * 9 0D 43 \D+ 44 FF \dx00000030 
 
-2135 * 7 06 
+2138 * 7 06 
 43 04 FF \wx000A 
 FF 
 
 // Name: @return_action_10
-2136 * 21 02 01 ED 89 
+2139 * 21 02 01 ED 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[69] = param[17]
-2137 * 9 0D 45 \D= 11 FE \dx0000FFFF 
+2140 * 9 0D 45 \D= 11 FE \dx0000FFFF 
 
 // param[68] = (param[69] + 64)
-2138 * 9 0D 44 \D+ 45 FF \dx00000040 
+2141 * 9 0D 44 \D+ 45 FF \dx00000040 
 
-2139 * 7 06 
+2142 * 7 06 
 44 04 FF \wx000A 
 FF 
 
 // Name: @return_action_11
-2140 * 21 02 01 EE 89 
+2143 * 21 02 01 EE 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[70] = param[17]
-2141 * 9 0D 46 \D= 11 FE \dx0000FFFF 
+2144 * 9 0D 46 \D= 11 FE \dx0000FFFF 
 
 // param[69] = (param[70] + 80)
-2142 * 9 0D 45 \D+ 46 FF \dx00000050 
+2145 * 9 0D 45 \D+ 46 FF \dx00000050 
 
-2143 * 7 06 
+2146 * 7 06 
 45 04 FF \wx000A 
 FF 
 
 // Name: @return_action_12
-2144 * 21 02 01 EF 89 
+2147 * 21 02 01 EF 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[71] = param[17]
-2145 * 9 0D 47 \D= 11 FE \dx0000FFFF 
+2148 * 9 0D 47 \D= 11 FE \dx0000FFFF 
 
 // param[70] = (param[71] + 96)
-2146 * 9 0D 46 \D+ 47 FF \dx00000060 
+2149 * 9 0D 46 \D+ 47 FF \dx00000060 
 
-2147 * 7 06 
+2150 * 7 06 
 46 04 FF \wx000A 
 FF 
 
 // Name: @return_action_13
-2148 * 21 02 01 F0 89 
+2151 * 21 02 01 F0 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[72] = param[17]
-2149 * 9 0D 48 \D= 11 FE \dx0000FFFF 
+2152 * 9 0D 48 \D= 11 FE \dx0000FFFF 
 
 // param[71] = (param[72] + 112)
-2150 * 9 0D 47 \D+ 48 FF \dx00000070 
+2153 * 9 0D 47 \D+ 48 FF \dx00000070 
 
-2151 * 7 06 
+2154 * 7 06 
 47 04 FF \wx000A 
 FF 
 
 // Name: @return_action_14
-2152 * 21 02 01 F2 89 
+2155 * 21 02 01 F2 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[73] = param[17]
-2153 * 9 0D 49 \D= 11 FE \dx0000FFFF 
+2156 * 9 0D 49 \D= 11 FE \dx0000FFFF 
 
 // param[72] = (param[73] + 128)
-2154 * 9 0D 48 \D+ 49 FF \dx00000080 
+2157 * 9 0D 48 \D+ 49 FF \dx00000080 
 
-2155 * 7 06 
+2158 * 7 06 
 48 04 FF \wx000A 
 FF 
 
 // Name: @return_action_15
-2156 * 21 02 01 F7 89 
+2159 * 21 02 01 F7 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[74] = param[17]
-2157 * 9 0D 4A \D= 11 FE \dx0000FFFF 
+2160 * 9 0D 4A \D= 11 FE \dx0000FFFF 
 
 // param[73] = (param[74] + 144)
-2158 * 9 0D 49 \D+ 4A FF \dx00000090 
+2161 * 9 0D 49 \D+ 4A FF \dx00000090 
 
-2159 * 7 06 
+2162 * 7 06 
 49 04 FF \wx000A 
 FF 
 
 // Name: @return_action_16
-2160 * 21 02 01 F8 89 
+2163 * 21 02 01 F8 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[75] = param[17]
-2161 * 9 0D 4B \D= 11 FE \dx0000FFFF 
+2164 * 9 0D 4B \D= 11 FE \dx0000FFFF 
 
 // param[74] = (param[75] + 160)
-2162 * 9 0D 4A \D+ 4B FF \dx000000A0 
+2165 * 9 0D 4A \D+ 4B FF \dx000000A0 
 
-2163 * 7 06 
+2166 * 7 06 
 4A 04 FF \wx000A 
 FF 
 
 // Name: @return_action_17
-2164 * 21 02 01 F3 89 
+2167 * 21 02 01 F3 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[76] = param[17]
-2165 * 9 0D 4C \D= 11 FE \dx0000FFFF 
+2168 * 9 0D 4C \D= 11 FE \dx0000FFFF 
 
 // param[75] = (param[76] + 176)
-2166 * 9 0D 4B \D+ 4C FF \dx000000B0 
+2169 * 9 0D 4B \D+ 4C FF \dx000000B0 
 
-2167 * 7 06 
+2170 * 7 06 
 4B 04 FF \wx000A 
 FF 
 
 // Name: @return_action_18
-2168 * 21 02 01 F1 89 
+2171 * 21 02 01 F1 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[77] = param[17]
-2169 * 9 0D 4D \D= 11 FE \dx0000FFFF 
+2172 * 9 0D 4D \D= 11 FE \dx0000FFFF 
 
 // param[76] = (param[77] + 192)
-2170 * 9 0D 4C \D+ 4D FF \dx000000C0 
+2173 * 9 0D 4C \D+ 4D FF \dx000000C0 
 
-2171 * 7 06 
+2174 * 7 06 
 4C 04 FF \wx000A 
 FF 
 
 // Name: @return_action_19
-2172 * 21 02 01 F5 89 
+2175 * 21 02 01 F5 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[78] = param[17]
-2173 * 9 0D 4E \D= 11 FE \dx0000FFFF 
+2176 * 9 0D 4E \D= 11 FE \dx0000FFFF 
 
 // param[77] = (param[78] + 208)
-2174 * 9 0D 4D \D+ 4E FF \dx000000D0 
+2177 * 9 0D 4D \D+ 4E FF \dx000000D0 
 
-2175 * 7 06 
+2178 * 7 06 
 4D 04 FF \wx000A 
 FF 
 
 // Name: @return_action_20
-2176 * 21 02 01 F9 89 
+2179 * 21 02 01 F9 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[79] = param[17]
-2177 * 9 0D 4F \D= 11 FE \dx0000FFFF 
+2180 * 9 0D 4F \D= 11 FE \dx0000FFFF 
 
 // param[78] = (param[79] + 224)
-2178 * 9 0D 4E \D+ 4F FF \dx000000E0 
+2181 * 9 0D 4E \D+ 4F FF \dx000000E0 
 
-2179 * 7 06 
+2182 * 7 06 
 4E 04 FF \wx000A 
 FF 
 
 // Name: @return_action_21
-2180 * 21 02 01 F4 89 
+2183 * 21 02 01 F4 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // param[80] = param[17]
-2181 * 9 0D 50 \D= 11 FE \dx0000FFFF 
+2184 * 9 0D 50 \D= 11 FE \dx0000FFFF 
 
 // param[79] = (param[80] + 240)
-2182 * 9 0D 4F \D+ 50 FF \dx000000F0 
+2185 * 9 0D 4F \D+ 50 FF \dx000000F0 
 
-2183 * 7 06 
+2186 * 7 06 
 4F 04 FF \wx000A 
 FF 
 
 // Name: @return_action_22
-2184 * 21 02 01 E5 89 
+2187 * 21 02 01 E5 89 
 43 58 \dx0000000F \dx00000000 \dx00000001 
 \b0 
 \wx8000 // Return computed value
 
 // Name: flatbed_random_colour_switch
-2185 * 71 02 01 E5 80 8C \b0 20 
+2188 * 71 02 01 E5 80 8C \b0 20 
 \wx00EB // (1/32) -> (1/32): return (var[0x43, 24, 15] + base_sprite_2cc)
 \wx00EA // (1/32) -> (1/32): return (var[0x43, 24, 15] + (base_sprite_2cc + 16))
 \wx00E9 // (1/32) -> (1/32): return (var[0x43, 24, 15] + (base_sprite_2cc + 32))
@@ -4246,10 +4260,10 @@
 \wx00F9 // (1/32) -> (1/32): return (var[0x43, 24, 15] + (base_sprite_2cc + 208))
 \wx00F4 // (1/32) -> (1/32): return (var[0x43, 24, 15] + (base_sprite_2cc + 224))
 \wx00E5 // (1/32) -> (1/32): return (var[0x43, 24, 15] + (base_sprite_2cc + 240))
-\wx0000 \wx0000 \wx0000 \wx0000 \wx0000 \wx0000 \wx0000 \wx0000 \wx0000 \wx0000 \wx0000 \wx0000 \wx0000 \wx0000 \wx0000 \wx0000 // (16/32) -> (16/32): CB_FAILED;
+\wx00FF \wx00FF \wx00FF \wx00FF \wx00FF \wx00FF \wx00FF \wx00FF \wx00FF \wx00FF \wx00FF \wx00FF \wx00FF \wx00FF \wx00FF \wx00FF // (16/32) -> (16/32): @CB_FAILED01;
 
 // Name: flatbed_cb_colour_switch
-2186 * 123 02 01 E5 89 
+2189 * 123 02 01 FF 89 
 47 00 \dx000000FF 
 \b11 
 \wx00EC \dx0000002F \dx0000002F 	// 47 .. 47: flatbed_fmsp_random_colour_switch;
@@ -4263,103 +4277,103 @@
 \wx00E5 \dx00000031 \dx00000031 	// 49 .. 49: flatbed_random_colour_switch;
 \wx00E5 \dx0000002E \dx0000002E 	// 46 .. 46: flatbed_random_colour_switch;
 \wx00E5 \dx00000006 \dx00000006 	// 6 .. 6: flatbed_random_colour_switch;
-\wx0000 // default: CB_FAILED;
+\wx00FF // default: @CB_FAILED01;
 
 // Name: flatbed_truck_1_paper - feature 01
-2187 * 13 02 01 E8 \b2 \b2 
+2190 * 13 02 01 E5 \b2 \b2 
 \w117 \w118 
 \w117 \w118 
 
 // Name: flatbed_truck_1_steel - feature 01
-2188 * 13 02 01 EC \b2 \b2 
+2191 * 13 02 01 E8 \b2 \b2 
 \w119 \w120 
 \w119 \w120 
 
 // Name: flatbed_truck_1_wood - feature 01
-2189 * 13 02 01 F4 \b2 \b2 
+2192 * 13 02 01 EC \b2 \b2 
 \w121 \w122 
 \w121 \w122 
 
 // Name: flatbed_truck_1_copper - feature 01
-2190 * 13 02 01 F9 \b2 \b2 
+2193 * 13 02 01 F4 \b2 \b2 
 \w123 \w124 
 \w123 \w124 
 
 // Name: flatbed_truck_1_goods - feature 01
-2191 * 13 02 01 F5 \b2 \b2 
+2194 * 13 02 01 F9 \b2 \b2 
 \w125 \w126 
 \w125 \w126 
 
 // Name: flatbed_truck_1_petrol - feature 01
-2192 * 13 02 01 F1 \b2 \b2 
+2195 * 13 02 01 F5 \b2 \b2 
 \w127 \w128 
 \w127 \w128 
 
 // Name: flatbed_truck_1_lumber - feature 01
-2193 * 13 02 01 F3 \b2 \b2 
+2196 * 13 02 01 F1 \b2 \b2 
 \w129 \w130 
 \w129 \w130 
 
 // Name: flatbed_truck_1_chemicals - feature 01
-2194 * 13 02 01 F8 \b2 \b2 
+2197 * 13 02 01 F3 \b2 \b2 
 \w131 \w132 
 \w131 \w132 
 
 // Name: flatbed_truck_1_plastics - feature 01
-2195 * 13 02 01 F7 \b2 \b2 
+2198 * 13 02 01 F8 \b2 \b2 
 \w133 \w134 
 \w133 \w134 
 
 // Name: flatbed_truck_1_farm_supplies - feature 01
-2196 * 13 02 01 F2 \b2 \b2 
+2199 * 13 02 01 F7 \b2 \b2 
 \w135 \w136 
 \w135 \w136 
 
 // Name: flatbed_truck_1_engineering_supplies_1 - feature 01
-2197 * 13 02 01 F0 \b2 \b2 
+2200 * 13 02 01 F2 \b2 \b2 
 \w137 \w138 
 \w137 \w138 
 
 // Name: flatbed_truck_1_engineering_supplies_2 - feature 01
-2198 * 13 02 01 EF \b2 \b2 
+2201 * 13 02 01 F0 \b2 \b2 
 \w139 \w140 
 \w139 \w140 
 
 // Name: flatbed_truck_1_engineering_supplies_3 - feature 01
-2199 * 13 02 01 EE \b2 \b2 
+2202 * 13 02 01 EF \b2 \b2 
 \w141 \w142 
 \w141 \w142 
 
 // Name: flatbed_truck_1_ensp_switch
-2200 * 15 02 01 EE 80 01 \b0 04 
-\wx00F0 \wx00F0 // (1/3) -> (2/4): flatbed_truck_1_engineering_supplies_1;
-\wx00EF // (1/3) -> (1/4): flatbed_truck_1_engineering_supplies_2;
-\wx00EE // (1/3) -> (1/4): flatbed_truck_1_engineering_supplies_3;
+2203 * 15 02 01 EF 80 01 \b0 04 
+\wx00F2 \wx00F2 // (1/3) -> (2/4): flatbed_truck_1_engineering_supplies_1;
+\wx00F0 // (1/3) -> (1/4): flatbed_truck_1_engineering_supplies_2;
+\wx00EF // (1/3) -> (1/4): flatbed_truck_1_engineering_supplies_3;
 
 // Name: flatbed_truck_1_sprites_switch
-2201 * 173 02 01 F5 89 
+2204 * 173 02 01 F9 89 
 47 00 \dx000000FF 
 \b16 
 \wx00F6 \dx0000002D \dx0000002D 	// 45 .. 45: flatbed_truck_batteries;
 \wx00FD \dx00000009 \dx00000009 	// 9 .. 9: flatbed_truck_bubbles;
 \wx00E6 \dx0000000B \dx0000000B 	// 11 .. 11: flatbed_truck_fizzy_drinks;
-\wx00E8 \dx00000027 \dx00000027 	// 39 .. 39: flatbed_truck_1_paper;
+\wx00E5 \dx00000027 \dx00000027 	// 39 .. 39: flatbed_truck_1_paper;
 \wx00E7 \dx00000033 \dx00000033 	// 51 .. 51: flatbed_truck_plastic;
-\wx00EC \dx00000005 \dx00000005 	// 5 .. 5: flatbed_truck_1_steel;
-\wx00F9 \dx00000035 \dx00000035 	// 53 .. 53: flatbed_truck_1_copper;
-\wx00F4 \dx00000003 \dx00000003 	// 3 .. 3: flatbed_truck_1_wood;
-\wx00F4 \dx00000047 \dx00000047 	// 71 .. 71: flatbed_truck_1_wood;
-\wx00F1 \dx00000012 \dx00000012 	// 18 .. 18: flatbed_truck_1_petrol;
-\wx00F3 \dx00000000 \dx00000000 	// 0 .. 0: flatbed_truck_1_lumber;
-\wx00F8 \dx00000011 \dx00000011 	// 17 .. 17: flatbed_truck_1_chemicals;
-\wx00F7 \dx0000002A \dx0000002A 	// 42 .. 42: flatbed_truck_1_plastics;
-\wx00F2 \dx0000002F \dx0000002F 	// 47 .. 47: flatbed_truck_1_farm_supplies;
-\wx00F2 \dx00000006 \dx00000006 	// 6 .. 6: flatbed_truck_1_farm_supplies;
-\wx00EE \dx00000030 \dx00000030 	// 48 .. 48: flatbed_truck_1_ensp_switch;
-\wx00F5 // default: flatbed_truck_1_goods;
+\wx00E8 \dx00000005 \dx00000005 	// 5 .. 5: flatbed_truck_1_steel;
+\wx00F4 \dx00000035 \dx00000035 	// 53 .. 53: flatbed_truck_1_copper;
+\wx00EC \dx00000003 \dx00000003 	// 3 .. 3: flatbed_truck_1_wood;
+\wx00EC \dx00000047 \dx00000047 	// 71 .. 71: flatbed_truck_1_wood;
+\wx00F5 \dx00000012 \dx00000012 	// 18 .. 18: flatbed_truck_1_petrol;
+\wx00F1 \dx00000000 \dx00000000 	// 0 .. 0: flatbed_truck_1_lumber;
+\wx00F3 \dx00000011 \dx00000011 	// 17 .. 17: flatbed_truck_1_chemicals;
+\wx00F8 \dx0000002A \dx0000002A 	// 42 .. 42: flatbed_truck_1_plastics;
+\wx00F7 \dx0000002F \dx0000002F 	// 47 .. 47: flatbed_truck_1_farm_supplies;
+\wx00F7 \dx00000006 \dx00000006 	// 6 .. 6: flatbed_truck_1_farm_supplies;
+\wx00EF \dx00000030 \dx00000030 	// 48 .. 48: flatbed_truck_1_ensp_switch;
+\wx00F9 // default: flatbed_truck_1_goods;
 
 // Name: flatbed_truck_1_capacity_switch
-2202 * 153 02 01 EE 89 
+2205 * 153 02 01 EF 89 
 47 00 \dx000000FF 
 \b14 
 \wx8011 \dx0000002D \dx0000002D 	// 45 .. 45: return 17;
@@ -4379,38 +4393,38 @@
 \wx8014 // default: return 20;
 
 // param[64] = 0
-2203 * 9 0D 40 \D= FF 00 \dx00000000 
+2206 * 9 0D 40 \D= FF 00 \dx00000000 
 
 // param[65] = 0
-2204 * 9 0D 41 \D= FF 00 \dx00000000 
+2207 * 9 0D 41 \D= FF 00 \dx00000000 
 
-2205 * 6 09 04 01 \70 00 01 
+2208 * 6 09 04 01 \70 00 01 
 
 // param[65] = 1
-2206 * 9 0D 41 \D= FF 00 \dx00000001 
+2209 * 9 0D 41 \D= FF 00 \dx00000001 
 
-2207 * 9 09 41 04 \7= \dx00000000 01 
+2210 * 9 09 41 04 \7= \dx00000000 01 
 
 // param[64] = 15
-2208 * 9 0D 40 \D= FF 00 \dx0000000F 
+2211 * 9 0D 40 \D= FF 00 \dx0000000F 
 
 // param[65] = 16
-2209 * 9 0D 41 \D= FF 00 \dx00000010 
+2212 * 9 0D 41 \D= FF 00 \dx00000010 
 
 // param[66] = (param[131] & 255)
-2210 * 9 0D 42 \D& 83 FF \dx000000FF 
+2213 * 9 0D 42 \D& 83 FF \dx000000FF 
 
-2211 * 9 09 42 04 \7! \dx00000003 01 
+2214 * 9 09 42 04 \7! \dx00000003 01 
 
 // param[65] = 18
-2212 * 9 0D 41 \D= FF 00 \dx00000012 
+2215 * 9 0D 41 \D= FF 00 \dx00000012 
 
-2213 * 12 06 
+2216 * 12 06 
 40 01 FF \wx0075 
 41 01 FF \wx0077 
 FF 
 
-2214 * 130 00 01 \b21 01 FF \wx005B 
+2217 * 130 00 01 \b21 01 FF \wx005B 
 1F \dx000ABBE1 
 0F 14 
 1D \wx0024 
@@ -4443,148 +4457,148 @@
 13 12 
 14 26 
 
-2215 * 29 04 01 7F 01 FF \wx005B "Talbott Flatbed Truck" 00 
+2218 * 29 04 01 7F 01 FF \wx005B "Talbott Flatbed Truck" 00 
 
-2216 * 30 04 01 02 01 FF \wx005B "Talbott Pritschenwagen" 00 
+2219 * 30 04 01 02 01 FF \wx005B "Talbott Pritschenwagen" 00 
 
-2217 * 35 04 01 03 01 FF \wx005B "ÞCamion à plateau Talbott" 00 
+2220 * 35 04 01 03 01 FF \wx005B "ÞCamion à plateau Talbott" 00 
 
-2218 * 39 04 01 04 01 FF \wx005B "ÞCamión de Plataforma Talbott" 00 
+2221 * 39 04 01 04 01 FF \wx005B "ÞCamión de Plataforma Talbott" 00 
 
-2219 * 53 04 01 07 01 FF \wx005B "ÞГрузовик платформа Talbott" 00 
+2222 * 53 04 01 07 01 FF \wx005B "ÞГрузовик платформа Talbott" 00 
 
-2220 * 30 04 01 1F 01 FF \wx005B "Talbott Semi-dieplader" 00 
+2223 * 30 04 01 1F 01 FF \wx005B "Talbott Semi-dieplader" 00 
 
-2221 * 35 04 01 24 01 FF \wx005B "ÞTalbott síkágyas kamion" 00 
+2224 * 35 04 01 24 01 FF \wx005B "ÞTalbott síkágyas kamion" 00 
 
-2222 * 39 04 01 2B 01 FF \wx005B "ÞTalbott Bortinis Sunkvežimis" 00 
+2225 * 39 04 01 2B 01 FF \wx005B "ÞTalbott Bortinis Sunkvežimis" 00 
 
-2223 * 9 00 01 \b1 01 FF \wx005B 
+2226 * 9 00 01 \b1 01 FF \wx005B 
 17 48 
 
 // Name: @action3_9
-2224 * 23 02 01 F2 89 
+2227 * 23 02 01 F7 89 
 10 00 \dx000000FF 
 \b1 
-\wx00EE \dx0000000F \dx0000000F 	// flatbed_truck_1_capacity_switch;
-\wx00F5 // flatbed_truck_1_sprites_switch;
+\wx00EF \dx0000000F \dx0000000F 	// flatbed_truck_1_capacity_switch;
+\wx00F9 // flatbed_truck_1_sprites_switch;
 
 // Name: @action3_10
-2225 * 23 02 01 01 89 
+2228 * 23 02 01 00 89 
 10 00 \dx000000FF 
 \b1 
-\wx00EE \dx0000000F \dx0000000F 	// flatbed_truck_1_capacity_switch;
-\wx00F5 // flatbed_truck_1_sprites_switch;
+\wx00EF \dx0000000F \dx0000000F 	// flatbed_truck_1_capacity_switch;
+\wx00F9 // flatbed_truck_1_sprites_switch;
 
 // Name: @action3_11
-2226 * 63 02 01 F5 89 
+2229 * 63 02 01 F9 89 
 0C 00 \dx0000FFFF 
 \b5 
-\wx00E5 \dx00000001 \dx00000001 	// flatbed_cb_colour_switch;
-\wx00EE \dx00000015 \dx00000015 	// flatbed_truck_1_capacity_switch;
-\wx00E5 \dx0000002D \dx0000002D 	// flatbed_cb_colour_switch;
-\wx00F2 \dx00000036 \dx00000036 	// @action3_9;
+\wx00FF \dx00000001 \dx00000001 	// flatbed_cb_colour_switch;
+\wx00EF \dx00000015 \dx00000015 	// flatbed_truck_1_capacity_switch;
+\wx00FF \dx0000002D \dx0000002D 	// flatbed_cb_colour_switch;
+\wx00F7 \dx00000036 \dx00000036 	// @action3_9;
 \wx00FB \dx0000015E \dx0000015E 	// flatbed_refit_cost_switch;
-\wx00F5 // flatbed_truck_1_sprites_switch;
+\wx00F9 // flatbed_truck_1_sprites_switch;
 
-2227 * 9 03 01 01 FF \wx005B \b0 
-\wx00F5 	// @action3_11;
+2230 * 9 03 01 01 FF \wx005B \b0 
+\wx00F9 	// @action3_11;
 
 // Name: flatbed_truck_2_paper - feature 01
-2228 * 13 02 01 F5 \b2 \b2 
+2231 * 13 02 01 F9 \b2 \b2 
 \w143 \w144 
 \w143 \w144 
 
 // Name: flatbed_truck_2_steel - feature 01
-2229 * 13 02 01 F2 \b2 \b2 
+2232 * 13 02 01 F7 \b2 \b2 
 \w145 \w146 
 \w145 \w146 
 
 // Name: flatbed_truck_2_wood - feature 01
-2230 * 13 02 01 EE \b2 \b2 
+2233 * 13 02 01 EF \b2 \b2 
 \w147 \w148 
 \w147 \w148 
 
 // Name: flatbed_truck_2_copper - feature 01
-2231 * 13 02 01 F7 \b2 \b2 
+2234 * 13 02 01 F8 \b2 \b2 
 \w149 \w150 
 \w149 \w150 
 
 // Name: flatbed_truck_2_goods - feature 01
-2232 * 13 02 01 F8 \b2 \b2 
+2235 * 13 02 01 F3 \b2 \b2 
 \w151 \w152 
 \w151 \w152 
 
 // Name: flatbed_truck_2_petrol - feature 01
-2233 * 13 02 01 F3 \b2 \b2 
+2236 * 13 02 01 F1 \b2 \b2 
 \w153 \w154 
 \w153 \w154 
 
 // Name: flatbed_truck_2_lumber - feature 01
-2234 * 13 02 01 F1 \b2 \b2 
+2237 * 13 02 01 F5 \b2 \b2 
 \w155 \w156 
 \w155 \w156 
 
 // Name: flatbed_truck_2_chemicals - feature 01
-2235 * 13 02 01 F4 \b2 \b2 
+2238 * 13 02 01 EC \b2 \b2 
 \w157 \w158 
 \w157 \w158 
 
 // Name: flatbed_truck_2_plastics - feature 01
-2236 * 13 02 01 F9 \b2 \b2 
+2239 * 13 02 01 F4 \b2 \b2 
 \w159 \w160 
 \w159 \w160 
 
 // Name: flatbed_truck_2_farm_supplies - feature 01
-2237 * 13 02 01 EC \b2 \b2 
+2240 * 13 02 01 E8 \b2 \b2 
 \w161 \w162 
 \w161 \w162 
 
 // Name: flatbed_truck_2_engineering_supplies_1 - feature 01
-2238 * 13 02 01 E8 \b2 \b2 
+2241 * 13 02 01 E5 \b2 \b2 
 \w163 \w164 
 \w163 \w164 
 
 // Name: flatbed_truck_2_engineering_supplies_2 - feature 01
-2239 * 13 02 01 EF \b2 \b2 
+2242 * 13 02 01 F0 \b2 \b2 
 \w165 \w166 
 \w165 \w166 
 
 // Name: flatbed_truck_2_engineering_supplies_3 - feature 01
-2240 * 13 02 01 F0 \b2 \b2 
+2243 * 13 02 01 F2 \b2 \b2 
 \w167 \w168 
 \w167 \w168 
 
 // Name: flatbed_truck_2_ensp_switch
-2241 * 15 02 01 F0 80 01 \b0 04 
-\wx00E8 \wx00E8 // (1/3) -> (2/4): flatbed_truck_2_engineering_supplies_1;
-\wx00EF // (1/3) -> (1/4): flatbed_truck_2_engineering_supplies_2;
-\wx00F0 // (1/3) -> (1/4): flatbed_truck_2_engineering_supplies_3;
+2244 * 15 02 01 F2 80 01 \b0 04 
+\wx00E5 \wx00E5 // (1/3) -> (2/4): flatbed_truck_2_engineering_supplies_1;
+\wx00F0 // (1/3) -> (1/4): flatbed_truck_2_engineering_supplies_2;
+\wx00F2 // (1/3) -> (1/4): flatbed_truck_2_engineering_supplies_3;
 
 // Name: flatbed_truck_2_sprites_switch
-2242 * 173 02 01 F8 89 
+2245 * 173 02 01 F3 89 
 47 00 \dx000000FF 
 \b16 
 \wx00F6 \dx0000002D \dx0000002D 	// 45 .. 45: flatbed_truck_batteries;
 \wx00FD \dx00000009 \dx00000009 	// 9 .. 9: flatbed_truck_bubbles;
 \wx00E6 \dx0000000B \dx0000000B 	// 11 .. 11: flatbed_truck_fizzy_drinks;
-\wx00F5 \dx00000027 \dx00000027 	// 39 .. 39: flatbed_truck_2_paper;
+\wx00F9 \dx00000027 \dx00000027 	// 39 .. 39: flatbed_truck_2_paper;
 \wx00E7 \dx00000033 \dx00000033 	// 51 .. 51: flatbed_truck_plastic;
-\wx00F2 \dx00000005 \dx00000005 	// 5 .. 5: flatbed_truck_2_steel;
-\wx00F7 \dx00000035 \dx00000035 	// 53 .. 53: flatbed_truck_2_copper;
-\wx00EE \dx00000003 \dx00000003 	// 3 .. 3: flatbed_truck_2_wood;
-\wx00EE \dx00000047 \dx00000047 	// 71 .. 71: flatbed_truck_2_wood;
-\wx00F3 \dx00000012 \dx00000012 	// 18 .. 18: flatbed_truck_2_petrol;
-\wx00F1 \dx00000000 \dx00000000 	// 0 .. 0: flatbed_truck_2_lumber;
-\wx00F4 \dx00000011 \dx00000011 	// 17 .. 17: flatbed_truck_2_chemicals;
-\wx00F9 \dx0000002A \dx0000002A 	// 42 .. 42: flatbed_truck_2_plastics;
-\wx00EC \dx0000002F \dx0000002F 	// 47 .. 47: flatbed_truck_2_farm_supplies;
-\wx00EC \dx00000006 \dx00000006 	// 6 .. 6: flatbed_truck_2_farm_supplies;
-\wx00F0 \dx00000030 \dx00000030 	// 48 .. 48: flatbed_truck_2_ensp_switch;
-\wx00F8 // default: flatbed_truck_2_goods;
+\wx00F7 \dx00000005 \dx00000005 	// 5 .. 5: flatbed_truck_2_steel;
+\wx00F8 \dx00000035 \dx00000035 	// 53 .. 53: flatbed_truck_2_copper;
+\wx00EF \dx00000003 \dx00000003 	// 3 .. 3: flatbed_truck_2_wood;
+\wx00EF \dx00000047 \dx00000047 	// 71 .. 71: flatbed_truck_2_wood;
+\wx00F1 \dx00000012 \dx00000012 	// 18 .. 18: flatbed_truck_2_petrol;
+\wx00F5 \dx00000000 \dx00000000 	// 0 .. 0: flatbed_truck_2_lumber;
+\wx00EC \dx00000011 \dx00000011 	// 17 .. 17: flatbed_truck_2_chemicals;
+\wx00F4 \dx0000002A \dx0000002A 	// 42 .. 42: flatbed_truck_2_plastics;
+\wx00E8 \dx0000002F \dx0000002F 	// 47 .. 47: flatbed_truck_2_farm_supplies;
+\wx00E8 \dx00000006 \dx00000006 	// 6 .. 6: flatbed_truck_2_farm_supplies;
+\wx00F2 \dx00000030 \dx00000030 	// 48 .. 48: flatbed_truck_2_ensp_switch;
+\wx00F3 // default: flatbed_truck_2_goods;
 
 // Name: flatbed_truck_2_capacity_switch
-2243 * 153 02 01 F0 89 
+2246 * 153 02 01 F2 89 
 47 00 \dx000000FF 
 \b14 
 \wx8013 \dx0000002D \dx0000002D 	// 45 .. 45: return 19;
@@ -4604,38 +4618,38 @@
 \wx8016 // default: return 22;
 
 // param[64] = 0
-2244 * 9 0D 40 \D= FF 00 \dx00000000 
+2247 * 9 0D 40 \D= FF 00 \dx00000000 
 
 // param[65] = 0
-2245 * 9 0D 41 \D= FF 00 \dx00000000 
+2248 * 9 0D 41 \D= FF 00 \dx00000000 
 
-2246 * 6 09 04 01 \70 00 01 
+2249 * 6 09 04 01 \70 00 01 
 
 // param[65] = 1
-2247 * 9 0D 41 \D= FF 00 \dx00000001 
+2250 * 9 0D 41 \D= FF 00 \dx00000001 
 
-2248 * 9 09 41 04 \7= \dx00000000 01 
+2251 * 9 09 41 04 \7= \dx00000000 01 
 
 // param[64] = 15
-2249 * 9 0D 40 \D= FF 00 \dx0000000F 
+2252 * 9 0D 40 \D= FF 00 \dx0000000F 
 
 // param[65] = 16
-2250 * 9 0D 41 \D= FF 00 \dx00000010 
+2253 * 9 0D 41 \D= FF 00 \dx00000010 
 
 // param[66] = (param[131] & 255)
-2251 * 9 0D 42 \D& 83 FF \dx000000FF 
+2254 * 9 0D 42 \D& 83 FF \dx000000FF 
 
-2252 * 9 09 42 04 \7! \dx00000003 01 
+2255 * 9 09 42 04 \7! \dx00000003 01 
 
 // param[65] = 18
-2253 * 9 0D 41 \D= FF 00 \dx00000012 
+2256 * 9 0D 41 \D= FF 00 \dx00000012 
 
-2254 * 12 06 
+2257 * 12 06 
 40 01 FF \wx0075 
 41 01 FF \wx0077 
 FF 
 
-2255 * 130 00 01 \b21 01 FF \wx005C 
+2258 * 130 00 01 \b21 01 FF \wx005C 
 1F \dx000AFC15 
 0F 16 
 1D \wx0024 
